summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/live-installer/install_db_chroot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/live-installer/install_db_chroot.sh')
-rwxr-xr-xabs/core-testing/live-installer/install_db_chroot.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/abs/core-testing/live-installer/install_db_chroot.sh b/abs/core-testing/live-installer/install_db_chroot.sh
new file mode 100755
index 0000000..514dd3c
--- /dev/null
+++ b/abs/core-testing/live-installer/install_db_chroot.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+. /etc/profile
+. /etc/systemconfig
+#myhost=`cat /etc/hostname`
+myhost=$hostname
+hostname $myhost
+mount -t proc none /proc
+pacman --noconfirm -Sf mysql
+/etc/rc.d/mysqld
+
+status=1
+mysqlstatus=1
+while [ ! $status = 0 ]
+do
+ /etc/rc.d/mysqld stop
+ sleep 1
+ /etc/rc.d/mysqld start
+ mysqlstatus=$?
+ if [ $mysqlstatus = 0 ]
+ then
+ mysql -e "show databases;"
+ showstatus=$?
+ if [ $showstatus = 0 ]
+ then
+ pacman --noconfirm -R mythdb-initial
+ pacman --noconfirm -S mythdb-initial
+ $MV_ROOT/bin/restore_default_settings.sh -c load
+ DISPLAY=127.0.0.1:0 $MV_ROOT/bin/MythVantage -t restore,default_1
+ $MV_ROOT/bin/restore_default_settings.sh -c restore -t syssettings
+ $MV_ROOT/bin/systemconfig.sh misc,hostype,this_is_install
+ if [ $SystemType = "Master_backend" ]
+ then
+ $MV_ROOT/bin/restore_default_settings.sh -c BECONFIG -s master -a $dbhost
+ fi
+ #update database to allow user jobs on this host.
+ $MV_ROOT/bin/restore_default_settings.sh -c USERJOBALLOW
+ $MV_ROOT/bin/restore_default_settings.sh -c ACCESSCONTROL
+ #if [ -d /data/srv/mysql/mythconverg ]
+ if [ -d /var/lib/mysql/mythconverg ]
+ then
+ # pacman --noconfirm -R webcalendar
+ # pacman --noconfirm --nodeps -S webcalendar
+ status=0
+ fi
+ fi
+ fi
+done
+#/etc/rc.d/mysqld stop
+#umount /proc
+
+
+